Bug 1259156 - Error: [undefined method `base_class' for NilClass:Class] on delete provision request
Error: [undefined method `base_class' for NilClass:Class] on delete provision...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
Unspecified Unspecified
low Severity medium
: GA
: cfme-future
Assigned To: Greg McCullough
Aziza Karol
: 1346151 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2015-09-02 02:28 EDT by Aziza Karol
Modified: 2017-05-03 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-05-03 15:55:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-09-02 02:28:06 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Navigate to infrastructure->virtual machines->provision a VM  
2.Then navigate to request page and while the vm provision is initiated,delete the request

Actual results:
request gets deleted, but error is thrown in evm.log

Expected results:

Additional info:
[----] I, [2015-09-01T08:30:22.037899 #2486:41bea0]  INFO -- : Q-task_id([job_dispatcher]) MIQ(MiqQueue.delivered)  Message id: [46006], State: [ok], Delivered in [0.001995928] seconds
[----] I, [2015-09-01T08:30:24.093982 #2478:3d3eac]  INFO -- : MIQ(MiqQueue.get_via_drb) Message id: [45992], MiqWorker id: [79], Zone: [default], Role: [automate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [miq_provision_4], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [100], State: [dequeue], Deliver On: [2015-09-01 12:30:18 UTC], Data: [], Args: [{:object_type=>"MiqProvisionVmware", :object_id=>4, :attrs=>{"request"=>"vm_provision"}, :instance_name=>"AUTOMATION", :user_id=>1, :state=>"CheckProvisioned", :ae_fsm_started=>nil, :ae_state_started=>"2015-09-01 12:29:17 UTC", :ae_state_retries=>1}], Dequeued in: [65.949943551] seconds
[----] I, [2015-09-01T08:30:24.094181 #2478:3d3eac]  INFO -- : Q-task_id([miq_provision_4]) MIQ(MiqQueue.deliver)    Message id: [45992], Delivering...
[----] I, [2015-09-01T08:30:24.094463 #2478:3d3eac]  INFO -- : Q-task_id([miq_provision_4]) MIQ(MiqAeEngine.deliver) Delivering {"request"=>"vm_provision"} for object [MiqProvisionVmware.4] with state [CheckProvisioned] to Automate
[----] E, [2015-09-01T08:30:24.096492 #2478:3d3eac] ERROR -- : Q-task_id([miq_provision_4]) MIQ(MiqQueue.deliver)    Message id: [45992], Error: [undefined method `base_class' for NilClass:Class]
[----] E, [2015-09-01T08:30:24.096703 #2478:3d3eac] ERROR -- : Q-task_id([miq_provision_4]) [NoMethodError]: undefined method `base_class' for NilClass:Class  Method:[rescue in deliver]
[----] E, [2015-09-01T08:30:24.096888 #2478:3d3eac] ERROR -- : Q-task_id([miq_provision_4]) /var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_engine.rb:195:in `create_automation_attribute_class_name'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_engine.rb:213:in `create_automation_attribute_key'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_engine.rb:101:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue.rb:356:in `block in deliver'
/opt/rh/ruby200/root/usr/share/ruby/timeout.rb:66:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:352:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:323:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:320:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:320:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:141:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:122:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:23:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands/runner.rb:52:in `eval'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands/runner.rb:52:in `<top (required)>'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:64:in `require'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:64:in `<top (required)>'
script/rails:6:in `require'
script/rails:6:in `<main>'
Comment 2 Greg McCullough 2016-06-14 10:58:15 EDT
*** Bug 1346151 has been marked as a duplicate of this bug. ***
Comment 3 Greg McCullough 2017-05-03 15:55:59 EDT
Yes, lots of bad things can happen if you delete instances from the database while they are actively being used.  This would cause a one-time error in the log and I do not see this as being a valid user scenario.

Note You need to log in before you can comment on or make changes to this bug.